#ifndef QAPPHOST_H
#define QAPPHOST_H

#include <QApplication>
#include <thread>
#include <functional>

class QAppHost
{
private:
    QApplication* app;
    std::thread* thread;
    std::function<void(void)> callbackFunction;

public:
    explicit QAppHost(std::function<void(void)> callback);
//    QAppHost(int& argc, char** argv);
    ~QAppHost() = default;

    void waitForThread();
    void threadRun();
    void shutdown();

};

#endif // QAPPHOST_H
