#ifndef FANCYGRAPH_H
#define FANCYGRAPH_H

#include <QObject>
#include <QWidget>
#include <QTimer>
#include <QPainter>
#include <QPointF>

class FancyGraph : public QWidget
{
    Q_OBJECT

private:
    QTimer* timer;

    QList<QPointF> points;

    double historyLength = 10.0; // secs

    QPointF dataToScreen(QPointF dataPoint, QRectF paintZone);
public:
    explicit FancyGraph(QWidget *parent = nullptr);

    void paintEvent(QPaintEvent *event) override;

public slots:
    void addPoint(double value);

signals:

};

#endif // FANCYGRAPH_H
